# getprotobyname

(PHP 4, PHP 5, PHP 7)

getprotobyname — Get protocol number associated with protocol name

### Description

getprotobyname ( string `$name` ) : int

getprotobyname() returns the protocol number associated with the protocol `name` as per /etc/protocols.

### Parameters

`name`

  The protocol name.

### Return Values

Returns the protocol number, or `FALSE` on failure.

### Examples

Example #1 getprotobyname() example

`<?php
$protocol = 'tcp';
$get_prot = getprotobyname($protocol);
if ($get_prot === FALSE) {
echo 'Invalid Protocol';
} else {
echo 'Protocol #' . $get_prot;
}
?>`

### See Also

- getprotobynumber() - Get protocol name associated with protocol number